//---------------------------------------------------------------------------

#include <vcl.h>
#include "ITSSkinF.h"
#include "ITSUtilF.h"
#include "ITSDbF.h"
#include "AppGlobalF.h"
#pragma hdrstop

#include "CCAM101MF.h"
#include "ITS_OPLibF.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "cxButtons"
#pragma link "cxContainer"
#pragma link "cxControls"
#pragma link "cxDropDownEdit"
#pragma link "cxEdit"
#pragma link "cxGraphics"
#pragma link "cxGroupBox"
#pragma link "cxLookAndFeelPainters"
#pragma link "cxLookAndFeels"
#pragma link "cxMaskEdit"
#pragma link "cxSpinEdit"
#pragma link "cxTextEdit"
#pragma link "dxSkinBlue"
#pragma link "dxSkinsCore"
#pragma link "dxSkinBlack"
#pragma link "dxSkinMcSkin"
#pragma resource "*.dfm"

TCCAM101M *CCAM101M = NULL;
//---------------------------------------------------------------------------
__fastcall TCCAM101M::TCCAM101M(TComponent* Owner)
    : TForm(Owner)
{
    ITSSkin_Load(this);
    //CMM_LoadForm(g_sFormsDir, this);

    FUpdated = false;
}
//---------------------------------------------------------------------------

void __fastcall TCCAM101M::CommClose()
{
    try
    {
        //CMM_SaveForm(g_sFormsDir, this);
    }
    catch(...)
    {
    }
}
//---------------------------------------------------------------------------

void __fastcall TCCAM101M::FormShow(TObject *Sender)
{
    APP_FillCode(Cb_CMRA_DRCT_CD, "VDSC");
    Refresh();
}
//---------------------------------------------------------------------------

void __fastcall TCCAM101M::BtnCloseClick(TObject *Sender)
{
    FUpdated = false;
    Close();
}
//---------------------------------------------------------------------------

void __fastcall TCCAM101M::FormClose(TObject *Sender, TCloseAction &Action)
{
    CommClose();
    CCAM101M = NULL;
    //Action = caFree;
}
//---------------------------------------------------------------------------

void __fastcall TCCAM101M::BtnSaveClick(TObject *Sender)
{
    FUpdated = true;
    Close();
}
//---------------------------------------------------------------------------

